@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

textarea{
	outline:none !important;
}

p{margin:0;}

html{
    font-family: 'Montserrat', sans-serif;
    -webkit-text-size-adjust:100%;
    -ms-text-size-adjust:100%;
    min-height:100%;
}
html {
  box-sizing: border-box;
  scroll-behavior: smooth;
}

*, *:before, *:after {
  box-sizing: inherit;
}


body{
	FONT-SIZE: 12pt;
	OVERFLOW: auto;
	ZOOM: 1;
	MARGIN: 0px;
	width:100%;
	position:relative;
	user-select:none;
	font-family:'Arial',sans-serif;
	background-color:rgb(37,78,118);
	background: linear-gradient(0deg,rgb(37,78,118) 0%, rgb(20,42,64) 100%)
	color:rgb(55,55,55);
	min-height:100%;
}
article,aside,details,figcaption,figure,footer,header,hgroup,main,menu,nav,section,summary{
    display:block
}
audio,canvas,progress,video{
    display:inline-block;
    vertical-align:baseline
}
audio:not([controls]){
    display:none;
    height:0
}
[hidden],template{
    display:none
}
a{
    background-color:transparent;
    text-decoration: none;
}
a:active,a:hover{
    outline:0
}

a{
    font-weight:700;
    color:rgb(38,56,100);
    text-decoration:underline;
    -webkit-transition:all ease 0.5s;
    -moz-transition:all ease 0.5s;
    -ms-transition:all ease 0.5s;
    -o-transition:all ease 0.5s;
    transition:all ease 0.5s;
}

a:hover{
    color:rgb(141,221,255);
}
abbr[title]{
    border-bottom:1px dotted
}
b,strong{
    font-weight:700
}
dfn{
    font-style:italic
}
h1{
    margin:.67em 0;
    font-size:2em
}
mark{
    color:#000;
    background:#ff0
}
small{
    font-size:80%
}
sub,sup{
    position:relative;
    font-size:75%;
    line-height:0;
    vertical-align:baseline
}
sup{
    top:-.5em
}
sub{
    bottom:-.25em
}
img{
    border:0;
    max-width: 100%;
}
svg:not(:root){
    overflow:hidden
}
figure{
    margin:1em 40px
}
hr{
    height:0;
    -webkit-box-sizing:content-box;
    -moz-box-sizing:content-box;
    box-sizing:content-box
}
pre{
    overflow:auto
}
code,kbd,pre,samp{
    font-family:monospace,monospace;
    font-size:1em
}
button,input,optgroup,select,textarea{
    margin:0;
    font:inherit;
    color:inherit
}
button{
    overflow:visible
}
button,select{
    text-transform:none
}
button,html input[type=button],input[type=reset],input[type=submit]{
    -webkit-appearance:button;
    cursor:pointer
}
button[disabled],html input[disabled]{
    cursor:default
}
button::-moz-focus-inner,input::-moz-focus-inner{
    padding:0;
    border:0
}
input{
    line-height:normal;
}
input[type=checkbox],input[type=radio]{
    -webkit-box-sizing:border-box;
    -moz-box-sizing:border-box;
    box-sizing:border-box;
    padding:0
}
input[type=number]::-webkit-inner-spin-button,input[type=number]::-webkit-outer-spin-button{
    height:auto
}
input[type=search]{
    -webkit-box-sizing:content-box;
    -moz-box-sizing:content-box;
    box-sizing:content-box;
    -webkit-appearance:textfield
}
input[type=search]::-webkit-search-cancel-button,input[type=search]::-webkit-search-decoration{
    -webkit-appearance:none
}
fieldset{
    padding:.35em .625em .75em;
    margin:0 2px;
    border:1px solid silver
}
legend{
    padding:0;
    border:0
}
textarea{
    overflow:auto
}
optgroup{
    font-weight:700
}
table{
    border-spacing:0;
    border-collapse:collapse
}
td,th{
    padding:0
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

/* width of scrollbar */
::-webkit-scrollbar {
  width: 4px;
}

/* track */
::-webkit-scrollbar-track {
  background: transparent;
}

/* handle */
::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 2px;
}

/* hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.inputWrap{
    width:500px;
    margin:0 auto;
    max-width:90%;
    text-align:left;
    margin-bottom: 20px;
}

.inputWrapper{
    position:relative;
}

.inputWrap .title{
    color: rgb(255, 255, 255);
    font-size: 16px;
    margin-bottom: 10px;
    font-weight: 300;
}

.inputWrap input[type="text"], .inputWrap input[type="password"]{
    padding:10px 10px;
    font-size:14px;
    color:rgb(51,51,51);
    line-height:20px;
    outline:none;
    width:100%;
    border:1px solid rgb(255,255,255);
    border-radius: 99px;
    background-color: rgba(255,255,255,0.9);
    -webkit-transition:all ease 0.5s;
    -moz-transition:all ease 0.5s;
    -ms-transition:all ease 0.5s;
    -o-transition:all ease 0.5s;
    transition:all ease 0.5s;
    box-sizing: border-box;
}

.inputWrap input[type="text"]:focus{
    box-shadow:0px 0px 4px rgba(0,0,0,0.5);
    color:rgb(37,78,118);
    background-color: rgb(255,255,255);

}

.inputWrap input[type="password"]:focus{
    box-shadow:0px 0px 4px rgba(0,0,0,0.5);
    color:rgb(37,78,118);
    background-color: rgb(255,255,255);
}

.inputWrap textarea{
    padding:5px;
    font-size:14px;
    color:rgb(7,39,46);
    width:100%;
    outline:none;
    box-shadow:1px 1px 4px rgba(37,78,118,0);
    border:1px solid rgb(37,78,118);
    -webkit-transition:all ease 0.5s;
    -moz-transition:all ease 0.5s;
    -ms-transition:all ease 0.5s;
    -o-transition:all ease 0.5s;
    transition:all ease 0.5s;
    height:150px;
    resize:none;
}

.inputWrap textarea:focus{
    box-shadow:1px 1px 4px rgba(7,39,46,0.5);
}

.inputWrapper .show{
    position:absolute;
    top:1px;
    right:1px;
    bottom:1px;
    font-size:12px;
    padding:0 5px;
    line-height:40px;
    cursor:pointer;
    border-left:1px solid rgb(255,255,255);
    width:38px;
    text-align:center;
    color:rgb(255,255,255);
    border-radius:0px 99px 99px 0px;
}

.inputWrapper .show .relative{
	width:100%;
	height: 100%;
	position: relative;
}

.inputWrapper .show .relative img{
	display:block;
	width:20px;
	position: absolute;
	top:50%;
	left: 50%;
	transform: translate(-50%,-50%);
}

.loginWrap{
    font-family: 'Montserrat', sans-serif;
}

.loginWrap .loginBackground{
	position:absolute;
	top:0;
	left:0;
	bottom:0;
	right:0;
	background-position:center center;
	background-size:contain;
	background-repeat: no-repeat;
}

.loginWrap .inputWrap .button{
    margin:0 auto;
    font-size:22px;
    text-align:center;
    width:100%;
    padding:10px;
}

.loginWrap{
    position:relative;
    width:100%;
    height:100vh;
}

.loginWrap .absolute{
	border:1px solid rgb(255,255,255);
    position:absolute;
    top:50%;
    left:50%;
    -webkit-transform: translate(-50%,-50%);
    -moz-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
    text-align:center;
    width:600px;
    backdrop-filter: blur(8px);
	-webkit-backdrop-filter: blur(8px);
	padding:20px;
	border-radius:24px;
	box-shadow:0px 0px 10px rgba(0,0,0,0.5);
	background-color: rgba(37,78,118,0.5);
}

.loginWrap .imageButton{
	display:flex;
	align-items: center;
	gap:8px;
	padding:10px;
	border-radius: 8px;
	font-size:20px;
	color:rgb(255,255,255);
	font-weight: 400;
	background: linear-gradient(90deg, rgb(37,78,118) 0%, rgb(20,42,64) 100%);
	justify-content: center;
	border:1px solid rgba(255,255,255,0.6);
	transition: all ease 0.3s;
	cursor: pointer;
}

.loginWrap .imageButton:hover{
	border-radius: 30px;
	gap:4px;
}

.loginWrap .imageButton .iconWrap{
	width:20px;
}

.loginWrap .imageButton .iconWrap img{
	display: block;
}

.loginWrap .imageButton .text{
}

.loginWrap .logoWrap{
	text-align: center;
}

.loginWrap .logoWrap img{
	display:block;
	width:200px;
	margin:0 auto;
}



.loginWrap .loginTitle{
	font-size:28px;
	font-weight: 600;
	text-align: center;
	margin:30px auto;
	padding:0 10px;
	color:rgb(255,255,255);
}

.messageWrap{
	position:relative;
	width:100vw;
	height:100vh;
	background-image:url('/images/loginBackground2.webp'), linear-gradient(0deg,rgb(37,78,118) 0%, rgb(20,42,64) 100%);
	background-position:center center;
	background-size:contain;
	background-repeat: no-repeat;
	font-family: 'Montserrat', sans-serif;
}

.messageWrap .message{
	    max-width: 500px;
    width: 100%;
    margin: 0 auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    border-radius: 5px;
    backdrop-filter: blur(8px);
	-webkit-backdrop-filter: blur(8px);
	padding:20px;
	border-radius:24px;
	box-shadow:0px 0px 10px rgba(0,0,0,0.5);
	background-color: rgba(37,78,118,0.5);
	text-align:center;
	color:rgb(255,255,255);
	font-size:20px;
	border:1px solid rgb(255,255,255);
	font-weight:600;

}

.messageWrap .message a{
	color:rgb(20,255,20);
}

.messageWrap .logoWrap{
	text-align: center;
	margin-bottom:30px;
}

.messageWrap .logoWrap img{
	display:block;
	width:200px;
	margin:0 auto;
}

.adminBackground{
	position:fixed;
	top:0;
	bottom:0;
	right:0;
	left:0;
	z-index:200;
	background-color:#003646;
	background: linear-gradient(180deg, #003646 0%, #14444f 100%);
}

.adminWrap{
	position:relative;
	z-index:300;
	color:rgb(255,255,255);
	font-family: 'Montserrat', sans-serif;
}

.adminWrap .logo{
	position:absolute;
	top:20px;
	left:20px;
	width:150px;
}

.adminWrap .logo img{
	display: block;
}

.adminWrap .title{
	position:absolute;
	top:20px;
	right:20px;
	width:100%;
	text-align:right;
	font-size:20px;
	font-weight:600;
}
 

.adminWrap #operatorPanel {
	border: 1px solid #fff;
	padding: 10px;
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
	margin-bottom: 30px;
	background: #fff;
	position:fixed;
	top:80px;
	right:30px;
	width:400px;
	border-radius:8px;
}

.adminWrap .drop-box h2{
	text-align:center;
	padding:5px;
	color:rgb(20,42,64);
	font-size:22px;
	font-weight:600;
	margin:0;
	width:100%;
	text-align: center;
}

.adminWrap .operator {
	width: 70px;
	cursor: grab;
	position: relative;
	margin:5px;
	margin-bottom:10px;
}

.adminWrap .operator .imageWrap{
	padding:10px;
	border-radius:5px;
	background-color:#003646;
	background: linear-gradient(180deg, #003646 0%, #14444f 100%);
	border:2px solid rgba(128,209,11,0);
}

.adminWrap .operator img{
	display:block;
}

.adminWrap .operator.dragged {
	opacity: 0.5;
	border:2px solid rgba(128,209,11,1);
}

.adminWrap .tooltip {
	position: absolute;
	top: -20px;
	left: 50%;
	transform:translateX(-50%);
	background: rgb(128,209,11);
	color: white;
	padding: 3px 6px;
	font-size: 12px;
	border-radius: 4px;
	white-space: nowrap;
	z-index: 10;
}

.adminWrap .drop-box {
	border: 2px dashed #aaa;
	width: 250px;
	min-height: 80px;
	background: #fff;
	margin-bottom: 15px;
	padding: 10px;
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
	position:relative;
}

.adminWrap .poweredOff .drop-box {
	border: 2px dashed #fff;
}

.adminWrap .snapped {
	outline: 2px solid green;
}

.adminWrap .simulator{
	padding:15px;
}

.adminWrap .simulator .simulatorControlsWrap{
	position:absolute;
	top:0;
	right:0;
	transform:translateX(100%);
	padding-left:10px;
	width:300px;
}

.adminWrap .simulator .simulatorControlsWrap .simulatorStateWrap .simulatorStateTitle{
	font-weight:600;
	display:inline-block;
	vertical-align: middle;
}

.adminWrap .simulator .simulatorControlsWrap .simulatorStateWrap .simulatorStateStatus{
	display:inline-block;
	vertical-align: middle;
	padding-left:7px;
}

.adminWrap .simulator .simulatorControlsWrap .simulatorStateWrap .simulatorStateStatus .off{
	color:rgb(200,0,0);
}

.adminWrap .simulator .simulatorControlsWrap .simulatorStateWrap .simulatorStateStatus .on{
	color:rgb(0,200,0);
}

.adminWrap .simulator .simulatorControlsWrap .simulatorButtonsWrap{
	margin-top:5px;
	color:rgb(100,100,100);
}

.win11-window{
	width: 0%;
	border-radius: 12px;
	backdrop-filter: blur(20px);
	background: rgba(255, 255, 255, 0.07);
	border: 1px solid rgba(255, 255, 255, 0.15);
	box-shadow: 0 4px 20px rgba(0, 0, 0, 0.5);
	overflow: hidden;
	color: white;
	margin:0 auto;
	position:fixed;
	top:0px;
	left:0px;
	display:block;
	transition:all ease 1s;
	z-index:20;
}

.win11-titlebar{
	display: flex;
	justify-content: space-between;
	align-items: center;
	background: rgba(0, 0, 0, 0.25);
	padding: 8px 12px;
	backdrop-filter: blur(10px);
}

.win11-title{
	font-weight: 500;
	font-size: 14px;
}

.win11-controls{
	display: flex;
	gap: 6px;
}

.win11-btn{
	width: 12px;
	height: 12px;
	border-radius: 50%;
	border: none;
	cursor: pointer;
	opacity: 0.85;
}

.win11-btn.close{
	background: #dc3545; 
}

.win11-content {
	font-size: 14px;
}

.win11-content iframe{
	min-height:calc(100vh - 50px);
	width:100%;
	border:none;
	background-color:rgb(255,255,255);
}

.win11-content .fallback{
	min-height:calc(100vh - 50px);
	width:100%;
	background: linear-gradient(180deg, #003646 0%, #14444f 100%);	
}

.win11-content .fallback .relative{
	position:relative;
	width:100%;
	min-height:calc(100vh - 50px);
}

.win11-content .fallback .relative .content{
	position:absolute;
	max-width: 500px;
	text-align:center;
	top:50%;
	left:50%;
	transform:translate(-50%,-50%);
}

.win11-content .fallback .relative .content .preMessage{
	font-size:20px;
	font-weight:600;
}

.win11-content .fallback .relative .content .message{
	font-size:24px;
	font-weight:300;
}

.windowVisible{
	width:100%;
}



.newAdminBackground{
	position:fixed;
	top:0;
	bottom:0;
	right:0;
	left:0;
	z-index:200;
	background-color:rgb(37,78,118);
	background: linear-gradient(180deg, rgb(20,42,64) 0%, rgb(37,78,118) 100%);
}

.newAdminWrap #simulators{
	width:calc(100% - 450px);
	padding:20px;
}

.newAdminWrap #simulators .simulatorWrap{
	display:inline-block;
	vertical-align: top;
	width:350px;
	height:250px;
	margin:20px;
	position:relative;
}

.newAdminWrap #simulators .simulatorWrap .simulatorBackground{
	border-radius:20px;
	width:100%;
	height:100%;
	position:absolute;
	top:0;
	left:0;
	z-index:100;
	transition:all ease 0.5s;
}

.newAdminWrap #simulators .simulatorWrap .simulatorTitle{
	color:rgba(0,0,0,0.6);
	text-align:center;
	font-size:22px;
	font-weight:600;
	padding-top:10px;
}

.newAdminWrap #simulators .simulatorWrap.poweredOff .simulatorTitle{
	color:rgba(255,255,255,0.8)
}

.newAdminWrap #simulators .simulatorWrap.poweredOff .simulatorOperators .operatorsTitle{
	color:rgb(255,255,255,0.8);
}


.newAdminWrap #simulators .simulatorWrap .buttonWrap{
	text-align: center;
	margin-top:10px;
}

.newAdminWrap #simulators .simulatorWrap .buttonWrap .button{
	width:150px;
	margin:0 auto;
	padding:5px;
	color:rgb(51,51,51);
	border:1px solid rgb(255,255,255);
	border-radius:8px;
	background-color: rgb(230,230,230);
	cursor:pointer;
	border-radius:4px;
	display:flex;
	gap:8px;
	justify-content: center;
	align-items: center;
	transition: all ease 0.3s;
}

.newAdminWrap #simulators .simulatorWrap .buttonWrap .button .iconWrap{
	width:17px;
	position:relative;
}

.newAdminWrap #simulators .simulatorWrap .buttonWrap .button .iconWrap img{
	display:block;
	position:relative;
	z-index:100;
}

.newAdminWrap #simulators .simulatorWrap .buttonWrap .button .iconWrap .absolute{
	display:block;
	z-index:200;
	opacity:0;
	position: absolute;
	top:0;
	left:0;
}

.newAdminWrap #simulators .simulatorWrap .buttonWrap .button:hover{
	background-color: rgb(255,255,255);
	color:rgb(20,155,20);
	border-radius:30px;
}

.newAdminWrap #simulators .simulatorWrap .buttonWrap .button:hover .absolute{
	opacity:1;
}

.newAdminWrap #simulators .simulatorWrap .buttonWrap .button:active{
	
}

.newAdminWrap #simulators .simulatorWrap .mmLink{
	font-weight:600;
	text-decoration: underline;
	margin-top:3px;
	cursor:pointer;
}

.newAdminWrap #simulators .simulatorWrap.poweredOff .simulatorBackground{
	border:6px solid rgba(0,0,0,0.3);
}

.newAdminWrap #simulators .simulatorWrap.poweredOn .simulatorBackground{
	border:6px solid rgba(20,200,20,1);
}

.newAdminWrap #simulators .simulatorWrap.poweringOn .simulatorBackground {
	border: 6px solid rgba(20,255,20,0.1);
	animation: powerPulse 1.2s infinite ease-in-out;
}

.newAdminWrap #simulators .simulatorWrap.poweringOn .simulatorTitle {
	/*animation: powerPulseTitle 1.2s infinite ease-in-out;*/
}

.newAdminWrap #simulators .simulatorWrap.poweringOff .simulatorBackground {
	border: 6px solid rgba(200,0,0,0.4);
	animation: powerOffPulse 1.2s infinite ease-in-out;
}

/* animation */
@keyframes powerPulse {
	0% {
		border-color: rgba(20,255,20,0.3);
	}
	50% {
		border-color: rgba(20,255,20,0.8);
	}
	100% {
		border-color: rgba(20,255,20,0.3);
	}
}

/* animation */
@keyframes powerPulseTitle {
	0% {
		color: rgba(20,255,20,0.4);
	}
	50% {
		color: rgba(20,255,20,0.8);
	}
	100% {
		color: rgba(20,255,20,0.8);
	}
}

@keyframes powerOffPulse {
	0% {
		border-color: rgba(200,0,0,0.4);
	}
	50% {
		border-color: rgba(200,0,0,0.9);
	}
	100% {
		border-color: rgba(200,0,0,0.4);
	}
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground{
	position:absolute;
	z-index:200;
	background-color:rgb(255,255,255);
	background: linear-gradient(
  to bottom,
  #fafafa,
  #ececec 50%,
  #e6e6e6
);
	width: 341px;
    height: 243px;
    top: 3.5px;
    left: 4.5px;
	color:rgb(100,100,100);
	padding:10px;
	border-radius:16px;
}

.newAdminWrap #simulators .simulatorWrap.poweredOff .simulatorForeground{
	display: none;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .simulatorTitle{
	padding-top:0px;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .row{
	display:flex;
	font-size:12px;
	font-weight: 600;
	margin-bottom:3px;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .row .inline{
	flex:1;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .row .inline:first-child{
	text-align: left;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .row .inline:nth-child(2){
	text-align: center;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .row .inline:last-child{
	text-align: right;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .row:first-child{
	margin-top:5px;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .row .statusName{
	font-weight:300;
}

.newAdminWrap #simulators .simulatorWrap.poweringOn .simulatorForeground .simStatus .statusName{
	color:rgb(168,109,0);
}

.newAdminWrap #simulators .simulatorWrap.poweringOff .simulatorForeground .simStatus .statusName{
	color:rgb(150,0,0);
}

.newAdminWrap #simulators .simulatorWrap.poweredOn .simulatorForeground .row .simStatus .statusName{
	color:rgb(20,155,20);
}

.newAdminWrap #simulators .simulatorWrap .buttonWrap .button span{
	display: inline-flex;
	align-items: center;
	gap: 6px;
}

.newAdminWrap #simulators .simulatorWrap .buttonWrap .button span img{
	width:12px;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .powerOff{
	position:absolute;
	top:5px;
	right:5px;
	z-index:300;
	cursor:pointer;
	width:30px;
	display:none;
}

.newAdminWrap #simulators .simulatorWrap.poweredOn .simulatorForeground .powerOff{
	display:block;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .powerOff img{
	display:block;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .powerOff .background{
	position:relative;
	z-index:300;
	opacity:0.5;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .powerOff .absoluteImage{
	position:absolute;
	z-index:310;
	top:0;
	left:0;
	opacity:0;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .powerOff:hover .absoluteImage{
	opacity:1;
}



.newAdminWrap #simulators .simulatorWrap .simulatorForeground .timer{
	position:absolute;
	top:5px;
	left:5px;
	z-index:300;
	display:none;
	font-size:12px;
	font-weight:300;
	font-style: italic;
}

.newAdminWrap #simulators .simulatorWrap.poweringOn .simulatorForeground .timer{
	display:block;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .row .buttonWrap{
	margin-top:0;
}

.newAdminWrap #simulators .simulatorWrap .simulatorForeground .row .button{
	width:80px;
	margin-right:0;
	margin-left:auto;
	display:none;
}
.newAdminWrap #simulators .simulatorWrap .simulatorForeground .row .mmLink{
	display:none;
}

.newAdminWrap #simulators .simulatorWrap.poweredOn .simulatorForeground .row .button{
	display:block;
}

.newAdminWrap #simulators .simulatorWrap.poweredOn .simulatorForeground .row .mmLink{
	display:block;
}

.newAdminWrap #simulators .simulatorWrap .simulatorOperators{
	position:absolute;
	z-index:300;
	bottom:6px;
	height:110px;
	width:100%;
	padding:10px;
	padding-bottom:0px;
	padding-top:0px;
	color:rgb(100,100,100);
	overflow-y:scroll;
	overflow-y:overlay;
}

.newAdminWrap #simulators .simulatorWrap .simulatorOperators .operatorsTitle{
	font-weight:400;
	font-size:14px;
	margin-bottom:6px;
}

.newAdminWrap .simulatorOperators .drop-box {
	width:100% !important;
	background-color:rgba(255,255,255,0.5);
	margin-bottom:0px;
	transition: all ease 0.3s;
}

.newAdminWrap .simulatorOperators .drop-box.draggedOver {
	border-color:rgb(20,155,20);
	background-color: rgba(255,255,255,0.9);
	border-radius:12px;
}

.newAdminWrap .operator{
	border-radius:40px;
	height:40px;
	width:40px !important;
	background: linear-gradient(180deg, rgb(37,78,118) 0%, rgb(20,42,64) 100%);
	border:2px solid rgb(20,155,20) !important;
}

.newAdminWrap .operator .imageWrap{
	background:none;
	padding:0px;
	overflow:hidden;
}

.newAdminWrap .tooltip{
	top:auto !important;
	left:auto !important;
	bottom:0px !important;
	right:0px !important;
	transform: translate(50%,50%) !important;
	background-color:rgb(20,155,20);
}

.newAdminWrap .snapped{
	outline:none !important;
}

.newAdminWrap #simulators .simulatorWrap .simulatorSelectWrap{
	display: flex;
	gap:6px;
	align-items: center;
	justify-content: center;
	font-size:12px;
	margin-top:10px;
}

.newAdminWrap #simulators .simulatorWrap .simulatorSelectWrap select{
	display:block;
	background-color:rgb(255,255,255);
	color:rgb(51,51,51);
	outline:none !important;
	padding:3px;
	border-radius:5px;
}

.lobby .message .mainTitle{
	font-weight:800;
	font-size:32px;
	text-align: center;
	color:rgb(255,255,255);
	margin-bottom:20px;
}

.lobby .message button{
	font-weight:400;
	font-size:22px;
	padding:12px;
	border-radius:8px;
	text-align: center;
	color:rgb(20,42,64);
	transition:all ease 0.5s;
}

.lobby .message button:hover{
	border-radius: 99px;
	color:rgb(20,155,20);
}

.lobby .spinner {
  width: 30px;
  height: 30px;
  border: 4px solid rgba(255,255,255,0.6);
  border-top: 4px solid #254e76; /* your Mobatec blue could go here */
  border-radius: 50%;
  animation: spin 0.8s linear infinite;
  position:absolute;
  bottom:0px;
  right:0px;
}

.adminWrap #historyPanel {
	border: 1px solid #fff;
	padding: 10px;
	background: #fff;
	position:fixed;
	top:390px;
	right:30px;
	width:400px;
	color:rgb(20,42,64);
	border-radius:8px;
}

.adminWrap #classroomActions{
	position:fixed;
	top:280px;
	right:30px;
	width:400px;
	display:grid;
	gap:12px;
	grid-template-columns: repeat(2, 1fr);
}

.adminWrap #classroomActions .button{
	border-radius:8px;
	padding:10px;
	color:rgb(51,51,51);
	display:flex;
	gap:8px;
	background-color: rgb(230,230,230);
	align-items: center;
	justify-content: center;
	font-size:12px;
	transition: all ease 0.3s;
	border:1px solid rgb(20,155,20);
	cursor:pointer;
}

.adminWrap #classroomActions .button:hover{
	border-radius: 30px;
	color:rgb(20,155,20);
	background-color: rgb(255,255,255);
}

.adminWrap #classroomActions .button .iconWrap{
	width: 20px;
}

.adminWrap #classroomActions .button .iconWrap img{
	display: block;
}


.adminWrap #historyPanel .titleWrap{
	position:relative;
	cursor:pointer;
}

.adminWrap #historyPanel .titleWrap .icon{
	position:absolute;
	width:20px;
	height:20px;
	right:5px;
	top:50%;
	transform: translateY(-50%);
}

.adminWrap #historyPanel .titleWrap .icon img{
	display:block;
	width:20px;
	top:50%;
	left:50%;
	transform: translate(-50%,-50%) rotate(0deg);
	transform-origin: center center;
	position:absolute;
}

.adminWrap #historyPanel.active .titleWrap .icon img{
	transform: translate(-50%,-50%) rotate(180deg);
}

.adminWrap #historyPanel .hidden{
	display:none;
}

.adminWrap #historyPanel.active .hidden{
	display:block;
}

.adminWrap #historyPanel h2{
	text-align:center;
	padding:5px;
	color:#003646;
	font-size:22px;
	font-weight:600;
	margin:0;
	width:100%;
	text-align: center;
}

.adminWrap #historyPanel .inlines{
	text-align:center;
	padding:5px;
	color:#003646;
	font-size:0px;
	margin-bottom:10px;
}

.adminWrap #historyPanel .inlines .inline{
	display:inline-block;
	vertical-align: top;
	width:50%;
	font-size:14px;
	text-align: right;
}

.adminWrap #historyPanel .inlines .inline:first-child{
	text-align: left;
}

.adminWrap #historyPanel .inlines .inline h3{
	margin:0px;
}

.adminWrap #historyPanel .inlines .inline h4{
	font-weight:300;
	margin:0px;
}

.adminWrap #historyPanel .usage{
	height:400px;
	overflow-y:scroll;
	overflow-y:overlay;
	border:1px solid #003646;
	border-radius:5px;
}

.adminWrap #historyPanel .usage .row{
	padding:5px 10px;
	border-bottom:1px dashed #003646;
}

.adminWrap #historyPanel .usage .row:nth-child(even){
	background-color:rgba(0,0,0,0.05);
}


.adminWrap #historyPanel .usage .row .rowTitle{
	font-size:14px;
	font-weight:600;
}


.adminWrap #historyPanel .usage .row h3{
	font-size:11px;
	font-weight:600;
}
.adminWrap #historyPanel .usage .row h4{
	font-size:11px;
	font-weight:300;
}

.adminWrap #historyPanel .usage .row .inlines{
	margin-bottom:0px;
	padding-top:1px;
	padding-bottom:1px;
	text-align: left;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}